# indico.properties
#
# test/lab properties file
#
# $Id: indico.properties,v 1.9 2011/06/27 20:05:09 bretin Exp $
# $Revision: 1.9 $
#
# Copyright 2011 Lacuna Systems Inc. all rights reserved

## connection info
cassandra = localhost,9160,indico
activeMq = failover://tcp://localhost:61616

## locations
homeDir = /opt/indico/
logsDir = /opt/var/log/indico/
diaCapDir = /opt/indico/diagnosticSnapshots
certKeystore = /opt/indico/keystore

##general processors
process.1.thread.0  = com.lacunasystems.indico.Web,8088,8443
process.1.thread.1  = com.lacunasystems.indico.Installer,indico.sh
process.1.thread.2  = com.lacunasystems.indico.queueProcessor.CommandProcessor,indico.command
process.1.thread.3  = com.lacunasystems.indico.QueryResultCacher

##load balancer interaction processors
process.1.thread.7  = com.lacunasystems.indico.discovery.Ping
process.1.thread.8  = com.lacunasystems.indico.discovery.CollectionScheduler

##CollectionSimulator - looks for diagnostic.capture.*.tar.gz files in homeDir/diagnosticSnapshots
##parameter 1: throttle - a multiplier thats controls how fast messages are shoved in (1 = same speed as recorded)
process.1.thread.9  = com.lacunasystems.indico.CollectionSimulator,30

##statistic digestion processors
process.1.thread.10 = com.lacunasystems.indico.queueProcessor.TimeStamper,indico.stats.1.raw
process.1.thread.11 = com.lacunasystems.indico.queueProcessor.StatAudit,indico.stats.1.audit
process.1.thread.12 = com.lacunasystems.indico.queueProcessor.Mapper,indico.stats.2.map,3
process.1.thread.13 = com.lacunasystems.indico.queueProcessor.Writer,indico.stats.3.write,0
process.1.thread.14 = com.lacunasystems.indico.queueProcessor.Writer,indico.stats.3.write,1
process.1.thread.15 = com.lacunasystems.indico.queueProcessor.Writer,indico.stats.3.write,2
process.1.thread.16 = com.lacunasystems.indico.queueProcessor.SyntheticWriter,indico.stats.4.writeSynthetic
process.1.thread.17 = com.lacunasystems.indico.queueProcessor.LookbackWriter,indico.stats.5.writeLookback
process.1.thread.18 = com.lacunasystems.indico.queueProcessor.EventDetector,indico.stats.6.eventDetect
process.1.thread.19 = com.lacunasystems.indico.queueProcessor.EventDetector,indico.stats.6.eventDetect
process.1.thread.20 = com.lacunasystems.indico.queueProcessor.EventDetector,indico.stats.6.eventDetect

## rules for type based synthetics (as opposed to instance based synthetics configured in the UI)
## in expression use normal math notation and use mapped stat names for variables
## you can only synthesize variable that are packaged together in one message
### format is:      objectType,synthStatName,expression
statSynth.Rule.100 = VIP,INGRESS_BITS_TO_PACKETS,clientSideBitsInPerSecond/clientSidePacketsInPerSecond
statSynth.Rule.101 = VIP,EGRESS_BITS_TO_PACKETS,clientSideBitsOutPerSecond/clientSidePacketsOutPerSecond
statSynth.Rule.102 = VIP,INGRESS_BITS_TO_CONNECTIONS,clientSideBitsInPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.103 = VIP,EGRESS_BITS_TO_CONNECTIONS,clientSideBitsOutPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.104 = VIP,TOTAL_BITS_TO_CONNECTIONS,(clientSideBitsInPerSecond+clientSideBitsOutPerSecond)/clientSideTotalConnectionsPerSecond
statSynth.Rule.105 = VIP,INGRESS_PACKETS_TO_CONNECTIONS,clientSidePacketsInPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.106 = VIP,EGRESS_PACKETS_TO_CONNECTIONS,clientSidePacketsOutPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.107 = VIP,TOTAL_PACKETS_TO_CONNECTIONS,(clientSidePacketsInPerSecond+clientSidePacketsOutPerSecond)/clientSideTotalConnectionsPerSecond
statSynth.Rule.108 = Pool,INGRESS_BITS_TO_PACKETS,serverSideBitsInPerSecond/serverSidePacketsInPerSecond
statSynth.Rule.109 = Pool,EGRESS_BITS_TO_PACKETS,serverSideBitsOutPerSecond/serverSidePacketsOutPerSecond
statSynth.Rule.110 = Pool,INGRESS_BITS_TO_CONNECTIONS,serverSideBitsInPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.111 = Pool,EGRESS_BITS_TO_CONNECTIONS,serverSideBitsOutPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.112 = Pool,TOTAL_BITS_TO_CONNECTIONS,(serverSideBitsInPerSecond+serverSideBitsOutPerSecond)/serverSideTotalConnectionsPerSecond
statSynth.Rule.113 = Pool,INGRESS_PACKETS_TO_CONNECTIONS,serverSidePacketsInPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.114 = Pool,EGRESS_PACKETS_TO_CONNECTIONS,serverSidePacketsOutPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.115 = Pool,TOTAL_PACKETS_TO_CONNECTIONS,(serverSidePacketsInPerSecond+serverSidePacketsOutPerSecond)/serverSideTotalConnectionsPerSecond
statSynth.Rule.116 = LoadBalancer,INGRESS_BITS_TO_PACKETS_SERVER_SIDE,serverSideBitsInPerSecond/serverSidePacketsInPerSecond
statSynth.Rule.117 = LoadBalancer,EGRESS_BITS_TO_PACKETS_SERVER_SIDE,serverSideBitsOutPerSecond/serverSidePacketsOutPerSecond
statSynth.Rule.118 = LoadBalancer,INGRESS_BITS_TO_CONNECTIONS_SERVER_SIDE,serverSideBitsInPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.119 = LoadBalancer,EGRESS_BITS_TO_CONNECTIONS_SERVER_SIDE,serverSideBitsOutPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.120 = LoadBalancer,TOTAL_BITS_TO_CONNECTIONS_SERVER_SIDE,(serverSideBitsInPerSecond+serverSideBitsOutPerSecond)/serverSideTotalConnectionsPerSecond
statSynth.Rule.121 = LoadBalancer,INGRESS_PACKETS_TO_CONNECTIONS_SERVER_SIDE,serverSidePacketsInPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.122 = LoadBalancer,EGRESS_PACKETS_TO_CONNECTIONS_SERVER_SIDE,serverSidePacketsOutPerSecond/serverSideTotalConnectionsPerSecond
statSynth.Rule.123 = LoadBalancer,TOTAL_PACKETS_TO_CONNECTIONS_SERVER_SIDE,(serverSidePacketsInPerSecond+serverSidePacketsOutPerSecond)/serverSideTotalConnectionsPerSecond
statSynth.Rule.124 = LoadBalancer,INGRESS_BITS_TO_PACKETS_CLIENT_SIDE,clientSideBitsInPerSecond/clientSidePacketsInPerSecond
statSynth.Rule.125 = LoadBalancer,EGRESS_BITS_TO_PACKETS_CLIENT_SIDE,clientSideBitsOutPerSecond/clientSidePacketsOutPerSecond
statSynth.Rule.126 = LoadBalancer,INGRESS_BITS_TO_CONNECTIONS_CLIENT_SIDE,clientSideBitsInPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.127 = LoadBalancer,EGRESS_BITS_TO_CONNECTIONS_CLIENT_SIDE,clientSideBitsOutPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.128 = LoadBalancer,TOTAL_BITS_TO_CONNECTIONS_CLIENT_SIDE,(clientSideBitsInPerSecond+clientSideBitsOutPerSecond)/clientSideTotalConnectionsPerSecond
statSynth.Rule.129 = LoadBalancer,INGRESS_PACKETS_TO_CONNECTIONS_CLIENT_SIDE,clientSidePacketsInPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.130 = LoadBalancer,EGRESS_PACKETS_TO_CONNECTIONS_CLIENT_SIDE,clientSidePacketsOutPerSecond/clientSideTotalConnectionsPerSecond
statSynth.Rule.131 = LoadBalancer,TOTAL_PACKETS_TO_CONNECTIONS_CLIENT_SIDE,(clientSidePacketsInPerSecond+clientSidePacketsOutPerSecond)/clientSideTotalConnectionsPerSecond
